# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define _dunder_name findcyclesindot

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           find-cycles-in-dot
Version:        0.0.2
Release:        %{mybuildnumber}%{?dist}
Summary:        A tool to group cycles found in Graphviz dotfiles

License:        Proprietary
Source:         %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Tools to find cycles in dot (Graphviz) file formats.}

%description %_description

%prep
%autosetup -p1 -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{_dunder_name}


%check
# no percent tox, pyproject_buildrequires not -t
true


# Note that there is no %%files section for
# the unversioned python module, python-pello.

# For python3-pello, %%{pyproject_files} handles code files and %%license,
# but executables and documentation must be listed in the spec file:

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/find-cycles-in-dot

%changelog
* Wed Feb 21 2024 Manuel Amador <rudd-o@rudd-o.com> 0.0.2-1
- First RPM packaging release
